# Creates a BookingOrder resource.

Creates a BookingOrder resource.

Endpoint: POST /v1/booking/orders/_bulk
Version: release
Security: JWT

## Request fields (application/ld+json):

  - `reservations` (array)

  - `customer` (object)

  - `customer.firstname` (string, required)
    Example: "john"

  - `customer.lastname` (string, required)
    Example: "doe"

  - `customer.email` (string, required)
    Example: "john.doe@example.com"

  - `customer.phone` (string)
    Example: "+33610203040"

  - `customer.country` (string)
    Example: "FR"

  - `customer.language` (string)
    Example: "fr"

  - `customer.optin` (boolean)

  - `customer.title` (string)
    Enum: "mr", "mrs", "mx"

  - `externalReference` (string, required)

  - `notes` (string,null)
    Example: "Special assistance needed"

## Response 200 fields (application/ld+json):

  - `@context` (any)

  - `@id` (string, required)

  - `@type` (string, required)

  - `orders` (array)

  - `orders.@context` (any)

  - `orders.@id` (string, required)

  - `orders.@type` (string, required)

  - `orders.id` (string)
    Example: "0194cb22-b891-754c-8c4c-777b93f8d072"

  - `orders.createdAt` (string)
    Example: "2025-01-27T15:15:20+00:00"

  - `orders.catalog` (string)
    Example: "/v1/ticketing/catalogs/0194cb23-170e-71f0-b4bb-0a7e644dea34"

  - `orders.organization` (string)
    Example: "/v1/organizations/0194cb23-170e-71f0-b4bb-0a7e644dea34"

  - `orders.reference` (string)
    Example: "KT-ORD-123456"

  - `orders.externalReference` (string,null)
    Example: "YOUR-CUSTOM-REFERENCE"

  - `orders.connectorReference` (string,null)

  - `orders.totalAmountInclTax` (string)
    Example: "100.00"

  - `orders.totalAmountExclTax` (string)
    Example: "100.00"

  - `orders.customer` (object)

  - `orders.customer.firstname` (string)
    Example: "john"

  - `orders.customer.lastname` (string)
    Example: "doe"

  - `orders.customer.email` (string)
    Example: "john.doe@example.com"

  - `orders.customer.phone` (string)
    Example: "+33610203040"

  - `orders.customer.optin` (boolean)

  - `orders.customer.country` (string)
    Example: "FR"

  - `orders.customer.language` (string)
    Example: "fr"

  - `orders.customer.title` (string)
    Example: "mr"

  - `orders.status` (string)
    Enum: "confirmed", "cancelled"

  - `orders.cancelledAt` (string,null)
    Example: "2025-02-27T15:15:20+00:00"

  - `orders.notes` (string,null)
    Example: "Special assistance needed"

  - `orders.items` (array)

  - `orders.items.id` (string)
    Example: "0194cb22-b891-754c-8c4c-777b93f8d072"

  - `orders.items.amountInclTax` (string)
    Example: "100.00"

  - `orders.items.amountExclTax` (string)
    Example: "80.00"

  - `orders.items.date` (string,null)
    Example: "2025-01-27"

  - `orders.items.product` (string)

  - `orders.items.tickets` (array)

  - `orders.items.tickets.@context` (any)

  - `orders.items.tickets.@id` (string, required)

  - `orders.items.tickets.@type` (string, required)

  - `orders.items.tickets.id` (string)
    Example: "0194cb22-b891-754c-8c4c-777b93f8d072"

  - `orders.items.tickets.voucher` (string,null)

  - `orders.items.tickets.occursAt` (string,null)
    Example: "2025-02-27T15:15:20+00:00"

  - `orders.items.tickets.requiredBeneficiaryFields` (array)
    Example: ["firstname","lastname"]

  - `orders.items.tickets.beneficiary` (any)

  - `orders.items.tickets.beneficiaryDesignationDeadline` (string,null)

  - `orders.items.tickets.beneficiaryAmendable` (boolean)

  - `orders.items.tickets.status` (string)
    Enum: "waiting_beneficiary_data", "validated"

  - `orders.items.tickets.seating` (any)

  - `orders.documents` (array)
    Example: ["https://example.com/"]

  - `failedOrders` (array)

  - `failedOrders.message` (string)

  - `failedOrders.reservation` (string)

## Response 400 fields (application/ld+json):

  - `@context` (any)

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string,null)
    A short, human-readable summary of the problem.

  - `detail` (string,null)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (number,null)

  - `instance` (string,null)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string)
    A URI reference that identifies the problem type

  - `description` (string,null)

## Response 422 fields (application/ld+json):

  - `@context` (any)

  - `@id` (string, required)

  - `@type` (string, required)

  - `status` (integer)

  - `violations` (array)

  - `violations.propertyPath` (string, required)
    The property path of the violation

  - `violations.message` (string, required)
    The message associated with the violation

  - `violations.code` (string)
    The code of the violation

  - `violations.hint` (string)
    An extra hint to understand the violation

  - `violations.payload` (object)
    The serialized payload of the violation

  - `detail` (string)

  - `description` (string)

  - `type` (string)

  - `title` (string,null)

  - `instance` (string,null)


